{{- if .Values.clusterConfig.cilium.enabled }}
apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: allow-otel-collector-loadbalancer-ingress
  namespace: otel
spec:
  description: Allow ingress from world
  endpointSelector:
    matchLabels:
      app.kubernetes.io/name: opentelemetry-collector
  ingress:
    - fromEntities:
        - world
{{- end }}
